# GstWebRTCICE

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstWebRTCICE

### Members

`parent` (GstObject) –
No description available
`ice_gathering_state` (GstWebRTCICEGatheringState) –
No description available
`ice_connection_state` (GstWebRTCICEConnectionState) –
No description available
`min_rtp_port` (guint) –
No description available
`max_rtp_port` (guint) –
No description available
`_gst_reserved` (gpointer*) –
No description available

Since : 1.22

### Class structure

#### GstWebRTCICEClass

##### Fields

`parent_class` (GstObjectClass) –
No description available
`_gst_reserved` (gpointer*) –
No description available

### GstWebRTC.WebRTCICEClass

##### Attributes

`parent_class` (Gst.ObjectClass) –
No description available
`_gst_reserved` ([ Object ]) –
No description available

### GstWebRTC.WebRTCICEClass

##### Attributes

`parent_class` (Gst.ObjectClass) –
No description available
`_gst_reserved` ([ object ]) –
No description available

## GstWebRTC.WebRTCICE

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstWebRTC.WebRTCICE

### Members

`parent` (Gst.Object) –
No description available
`ice_gathering_state` (GstWebRTC.WebRTCICEGatheringState) –
No description available
`ice_connection_state` (GstWebRTC.WebRTCICEConnectionState) –
No description available
`min_rtp_port` (Number) –
No description available
`max_rtp_port` (Number) –
No description available
`_gst_reserved` ([ Object ]) –
No description available

Since : 1.22

## GstWebRTC.WebRTCICE

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstWebRTC.WebRTCICE

### Members

`parent` (Gst.Object) –
No description available
`ice_gathering_state` (GstWebRTC.WebRTCICEGatheringState) –
No description available
`ice_connection_state` (GstWebRTC.WebRTCICEConnectionState) –
No description available
`min_rtp_port` (int) –
No description available
`max_rtp_port` (int) –
No description available
`_gst_reserved` ([ object ]) –
No description available

Since : 1.22

### Methods

#### gst_webrtc_ice_add_candidate

    gst_webrtc_ice_add_candidate (GstWebRTCICE * ice,
                                  GstWebRTCICEStream * stream,
                                  const gchar* candidate,
                                  GstPromise * promise)

Parameters:

`ice` –

The GstWebRTCICE

`stream` –

The GstWebRTCICEStream

`candidate` –

The ICE candidate

`promise` ( [nullable]) –

A GstPromise for task notifications (Since: 1.24)

Since : 1.22

#### GstWebRTC.WebRTCICE.prototype.add_candidate

    function GstWebRTC.WebRTCICE.prototype.add_candidate(stream: GstWebRTC.WebRTCICEStream, candidate: String, promise: Gst.Promise): {
        // javascript wrapper for 'gst_webrtc_ice_add_candidate'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`stream` (GstWebRTC.WebRTCICEStream) –

The GstWebRTC.WebRTCICEStream

`candidate` (String) –

The ICE candidate

`promise` (Gst.Promise) –

A Gst.Promise for task notifications (Since: 1.24)

Since : 1.22

#### GstWebRTC.WebRTCICE.add_candidate

    def GstWebRTC.WebRTCICE.add_candidate (self, stream, candidate, promise):
        #python wrapper for 'gst_webrtc_ice_add_candidate'

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`stream` (GstWebRTC.WebRTCICEStream) –

The GstWebRTC.WebRTCICEStream

`candidate` (str) –

The ICE candidate

`promise` (Gst.Promise) –

A Gst.Promise for task notifications (Since: 1.24)

Since : 1.22

#### gst_webrtc_ice_add_stream

    GstWebRTCICEStream *
    gst_webrtc_ice_add_stream (GstWebRTCICE * ice,
                               guint session_id)

Parameters:

`ice` –

The GstWebRTCICE

`session_id` –

The session id

Returns ( [transfer: full][nullable]) –

The GstWebRTCICEStream, or NULL

Since : 1.22

#### GstWebRTC.WebRTCICE.prototype.add_stream

    function GstWebRTC.WebRTCICE.prototype.add_stream(session_id: Number): {
        // javascript wrapper for 'gst_webrtc_ice_add_stream'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`session_id` (Number) –

The session id

Returns (GstWebRTC.WebRTCICEStream) –

The GstWebRTC.WebRTCICEStream, or NULL

Since : 1.22

#### GstWebRTC.WebRTCICE.add_stream

    def GstWebRTC.WebRTCICE.add_stream (self, session_id):
        #python wrapper for 'gst_webrtc_ice_add_stream'

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`session_id` (int) –

The session id

Returns (GstWebRTC.WebRTCICEStream) –

The GstWebRTC.WebRTCICEStream, or NULL

Since : 1.22

#### gst_webrtc_ice_add_turn_server

    gboolean
    gst_webrtc_ice_add_turn_server (GstWebRTCICE * ice,
                                    const gchar* uri)

Parameters:

`ice` –

The GstWebRTCICE

`uri` –

URI of the TURN server

Returns –

FALSE on error, TRUE otherwise

Since : 1.22

#### GstWebRTC.WebRTCICE.prototype.add_turn_server

    function GstWebRTC.WebRTCICE.prototype.add_turn_server(uri: String): {
        // javascript wrapper for 'gst_webrtc_ice_add_turn_server'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`uri` (String) –

URI of the TURN server

Returns (Number) –

FALSE on error, TRUE otherwise

Since : 1.22

#### GstWebRTC.WebRTCICE.add_turn_server

    def GstWebRTC.WebRTCICE.add_turn_server (self, uri):
        #python wrapper for 'gst_webrtc_ice_add_turn_server'

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`uri` (str) –

URI of the TURN server

Returns (bool) –

FALSE on error, TRUE otherwise

Since : 1.22

#### gst_webrtc_ice_find_transport

    GstWebRTCICETransport *
    gst_webrtc_ice_find_transport (GstWebRTCICE * ice,
                                   GstWebRTCICEStream * stream,
                                   GstWebRTCICEComponent component)

Parameters:

`ice` –

The GstWebRTCICE

`stream` –

The GstWebRTCICEStream

`component` –

The GstWebRTCICEComponent

Returns ( [transfer: full][nullable]) –

The GstWebRTCICETransport, or NULL

Since : 1.22

#### GstWebRTC.WebRTCICE.prototype.find_transport

    function GstWebRTC.WebRTCICE.prototype.find_transport(stream: GstWebRTC.WebRTCICEStream, component: GstWebRTC.WebRTCICEComponent): {
        // javascript wrapper for 'gst_webrtc_ice_find_transport'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`stream` (GstWebRTC.WebRTCICEStream) –

The GstWebRTC.WebRTCICEStream

`component` (GstWebRTC.WebRTCICEComponent) –

The GstWebRTC.WebRTCICEComponent

Returns (GstWebRTC.WebRTCICETransport) –

The GstWebRTC.WebRTCICETransport, or NULL

Since : 1.22

#### GstWebRTC.WebRTCICE.find_transport

    def GstWebRTC.WebRTCICE.find_transport (self, stream, component):
        #python wrapper for 'gst_webrtc_ice_find_transport'

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`stream` (GstWebRTC.WebRTCICEStream) –

The GstWebRTC.WebRTCICEStream

`component` (GstWebRTC.WebRTCICEComponent) –

The GstWebRTC.WebRTCICEComponent

Returns (GstWebRTC.WebRTCICETransport) –

The GstWebRTC.WebRTCICETransport, or NULL

Since : 1.22

#### gst_webrtc_ice_gather_candidates

    gboolean
    gst_webrtc_ice_gather_candidates (GstWebRTCICE * ice,
                                      GstWebRTCICEStream * stream)

Parameters:

`ice` –

The GstWebRTCICE

`stream` –

The GstWebRTCICEStream Returns: FALSE on error, TRUE otherwise

Returns –
No description available

Since : 1.22

#### GstWebRTC.WebRTCICE.prototype.gather_candidates

    function GstWebRTC.WebRTCICE.prototype.gather_candidates(stream: GstWebRTC.WebRTCICEStream): {
        // javascript wrapper for 'gst_webrtc_ice_gather_candidates'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`stream` (GstWebRTC.WebRTCICEStream) –

The GstWebRTC.WebRTCICEStream Returns: FALSE on error, TRUE otherwise

Returns (Number) –
No description available

Since : 1.22

#### GstWebRTC.WebRTCICE.gather_candidates

    def GstWebRTC.WebRTCICE.gather_candidates (self, stream):
        #python wrapper for 'gst_webrtc_ice_gather_candidates'

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`stream` (GstWebRTC.WebRTCICEStream) –

The GstWebRTC.WebRTCICEStream Returns: FALSE on error, TRUE otherwise

Returns (bool) –
No description available

Since : 1.22

#### gst_webrtc_ice_get_http_proxy

    gchar*
    gst_webrtc_ice_get_http_proxy (GstWebRTCICE * ice)

Parameters:

`ice` –

The GstWebRTCICE

Returns ( [transfer: full]) –

URI of the HTTP proxy of the form http://[username:password@]hostname[:port][?alpn=<alpn>]</alpn>

Get HTTP Proxy to be used when connecting to TURN server.

Since : 1.22

#### GstWebRTC.WebRTCICE.prototype.get_http_proxy

    function GstWebRTC.WebRTCICE.prototype.get_http_proxy(): {
        // javascript wrapper for 'gst_webrtc_ice_get_http_proxy'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

Returns (String) –

URI of the HTTP proxy of the form http://[username:password@]hostname[:port][?alpn=<alpn>]</alpn>

Get HTTP Proxy to be used when connecting to TURN server.

Since : 1.22

#### GstWebRTC.WebRTCICE.get_http_proxy

    def GstWebRTC.WebRTCICE.get_http_proxy (self):
        #python wrapper for 'gst_webrtc_ice_get_http_proxy'

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

Returns (str) –

URI of the HTTP proxy of the form http://[username:password@]hostname[:port][?alpn=<alpn>]</alpn>

Get HTTP Proxy to be used when connecting to TURN server.

Since : 1.22

#### gst_webrtc_ice_get_is_controller

    gboolean
    gst_webrtc_ice_get_is_controller (GstWebRTCICE * ice)

Parameters:

`ice` –

The GstWebRTCICE Returns: TRUE if set as controller, FALSE otherwise

Returns –
No description available

Since : 1.22

#### GstWebRTC.WebRTCICE.prototype.get_is_controller

    function GstWebRTC.WebRTCICE.prototype.get_is_controller(): {
        // javascript wrapper for 'gst_webrtc_ice_get_is_controller'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE Returns: TRUE if set as controller, FALSE otherwise

Returns (Number) –
No description available

Since : 1.22

#### GstWebRTC.WebRTCICE.get_is_controller

    def GstWebRTC.WebRTCICE.get_is_controller (self):
        #python wrapper for 'gst_webrtc_ice_get_is_controller'

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE Returns: TRUE if set as controller, FALSE otherwise

Returns (bool) –
No description available

Since : 1.22

#### gst_webrtc_ice_get_local_candidates

    GstWebRTCICECandidateStats **
    gst_webrtc_ice_get_local_candidates (GstWebRTCICE * ice,
                                         GstWebRTCICEStream * stream)

Parameters:

`ice` –

The GstWebRTCICE

`stream` –

The GstWebRTCICEStream Returns: (transfer full)(array zero-terminated=1): List of local candidates

Returns –
No description available

Since : 1.22

#### GstWebRTC.WebRTCICE.prototype.get_local_candidates

    function GstWebRTC.WebRTCICE.prototype.get_local_candidates(stream: GstWebRTC.WebRTCICEStream): {
        // javascript wrapper for 'gst_webrtc_ice_get_local_candidates'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`stream` (GstWebRTC.WebRTCICEStream) –

The GstWebRTC.WebRTCICEStream Returns: (transfer full)(array zero-terminated=1): List of local candidates

Returns ([ GstWebRTC.WebRTCICECandidateStats ]) –
No description available

Since : 1.22

#### GstWebRTC.WebRTCICE.get_local_candidates

    def GstWebRTC.WebRTCICE.get_local_candidates (self, stream):
        #python wrapper for 'gst_webrtc_ice_get_local_candidates'

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`stream` (GstWebRTC.WebRTCICEStream) –

The GstWebRTC.WebRTCICEStream Returns: (transfer full)(array zero-terminated=1): List of local candidates

Returns ([ GstWebRTC.WebRTCICECandidateStats ]) –
No description available

Since : 1.22

#### gst_webrtc_ice_get_remote_candidates

    GstWebRTCICECandidateStats **
    gst_webrtc_ice_get_remote_candidates (GstWebRTCICE * ice,
                                          GstWebRTCICEStream * stream)

Parameters:

`ice` –

The GstWebRTCICE

`stream` –

The GstWebRTCICEStream Returns: (transfer full) (array zero-terminated=1): List of remote candidates

Returns –
No description available

Since : 1.22

#### GstWebRTC.WebRTCICE.prototype.get_remote_candidates

    function GstWebRTC.WebRTCICE.prototype.get_remote_candidates(stream: GstWebRTC.WebRTCICEStream): {
        // javascript wrapper for 'gst_webrtc_ice_get_remote_candidates'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`stream` (GstWebRTC.WebRTCICEStream) –

The GstWebRTC.WebRTCICEStream Returns: (transfer full) (array zero-terminated=1): List of remote candidates

Returns ([ GstWebRTC.WebRTCICECandidateStats ]) –
No description available

Since : 1.22

#### GstWebRTC.WebRTCICE.get_remote_candidates

    def GstWebRTC.WebRTCICE.get_remote_candidates (self, stream):
        #python wrapper for 'gst_webrtc_ice_get_remote_candidates'

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`stream` (GstWebRTC.WebRTCICEStream) –

The GstWebRTC.WebRTCICEStream Returns: (transfer full) (array zero-terminated=1): List of remote candidates

Returns ([ GstWebRTC.WebRTCICECandidateStats ]) –
No description available

Since : 1.22

#### gst_webrtc_ice_get_selected_pair

    gboolean
    gst_webrtc_ice_get_selected_pair (GstWebRTCICE * ice,
                                      GstWebRTCICEStream * stream,
                                      GstWebRTCICECandidateStats ** local_stats,
                                      GstWebRTCICECandidateStats ** remote_stats)

Parameters:

`ice` –

The GstWebRTCICE

`stream` –

The GstWebRTCICEStream

`local_stats` ( [out][transfer: full]) –

A pointer to GstWebRTCICECandidateStats for local candidate

`remote_stats` ( [out][transfer: full]) –

pointer to GstWebRTCICECandidateStats for remote candidate

Returns –

FALSE on failure, otherwise local_stats remote_stats will be set

Since : 1.22

#### GstWebRTC.WebRTCICE.prototype.get_selected_pair

    function GstWebRTC.WebRTCICE.prototype.get_selected_pair(stream: GstWebRTC.WebRTCICEStream): {
        // javascript wrapper for 'gst_webrtc_ice_get_selected_pair'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`stream` (GstWebRTC.WebRTCICEStream) –

The GstWebRTC.WebRTCICEStream

Returns a tuple made of:

(Number ) –

FALSE on failure, otherwise local_stats remote_stats will be set

`local_stats` (GstWebRTC.WebRTCICECandidateStats ) –

FALSE on failure, otherwise local_stats remote_stats will be set

`remote_stats` (GstWebRTC.WebRTCICECandidateStats ) –

FALSE on failure, otherwise local_stats remote_stats will be set

Since : 1.22

#### GstWebRTC.WebRTCICE.get_selected_pair

    def GstWebRTC.WebRTCICE.get_selected_pair (self, stream):
        #python wrapper for 'gst_webrtc_ice_get_selected_pair'

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`stream` (GstWebRTC.WebRTCICEStream) –

The GstWebRTC.WebRTCICEStream

Returns a tuple made of:

(bool ) –

FALSE on failure, otherwise local_stats remote_stats will be set

`local_stats` (GstWebRTC.WebRTCICECandidateStats ) –

FALSE on failure, otherwise local_stats remote_stats will be set

`remote_stats` (GstWebRTC.WebRTCICECandidateStats ) –

FALSE on failure, otherwise local_stats remote_stats will be set

Since : 1.22

#### gst_webrtc_ice_get_stun_server

    gchar*
    gst_webrtc_ice_get_stun_server (GstWebRTCICE * ice)

Parameters:

`ice` –

The GstWebRTCICE

Returns ( [nullable]) –

URI of the STUN sever

Since : 1.22

#### GstWebRTC.WebRTCICE.prototype.get_stun_server

    function GstWebRTC.WebRTCICE.prototype.get_stun_server(): {
        // javascript wrapper for 'gst_webrtc_ice_get_stun_server'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

Returns (String) –

URI of the STUN sever

Since : 1.22

#### GstWebRTC.WebRTCICE.get_stun_server

    def GstWebRTC.WebRTCICE.get_stun_server (self):
        #python wrapper for 'gst_webrtc_ice_get_stun_server'

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

Returns (str) –

URI of the STUN sever

Since : 1.22

#### gst_webrtc_ice_get_turn_server

    gchar*
    gst_webrtc_ice_get_turn_server (GstWebRTCICE * ice)

Parameters:

`ice` –

The GstWebRTCICE

Returns ( [nullable]) –

URI of the TURN sever

Since : 1.22

#### GstWebRTC.WebRTCICE.prototype.get_turn_server

    function GstWebRTC.WebRTCICE.prototype.get_turn_server(): {
        // javascript wrapper for 'gst_webrtc_ice_get_turn_server'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

Returns (String) –

URI of the TURN sever

Since : 1.22

#### GstWebRTC.WebRTCICE.get_turn_server

    def GstWebRTC.WebRTCICE.get_turn_server (self):
        #python wrapper for 'gst_webrtc_ice_get_turn_server'

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

Returns (str) –

URI of the TURN sever

Since : 1.22

#### gst_webrtc_ice_set_force_relay

    gst_webrtc_ice_set_force_relay (GstWebRTCICE * ice,
                                    gboolean force_relay)

Parameters:

`ice` –

The GstWebRTCICE

`force_relay` –

TRUE to enable force relay

Since : 1.22

#### GstWebRTC.WebRTCICE.prototype.set_force_relay

    function GstWebRTC.WebRTCICE.prototype.set_force_relay(force_relay: Number): {
        // javascript wrapper for 'gst_webrtc_ice_set_force_relay'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`force_relay` (Number) –

TRUE to enable force relay

Since : 1.22

#### GstWebRTC.WebRTCICE.set_force_relay

    def GstWebRTC.WebRTCICE.set_force_relay (self, force_relay):
        #python wrapper for 'gst_webrtc_ice_set_force_relay'

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`force_relay` (bool) –

TRUE to enable force relay

Since : 1.22

#### gst_webrtc_ice_set_http_proxy

    gst_webrtc_ice_set_http_proxy (GstWebRTCICE * ice,
                                   const gchar* uri)

Set HTTP Proxy to be used when connecting to TURN server.

Parameters:

`ice` –

The GstWebRTCICE

`uri` ( [transfer: none]) –

URI of the HTTP proxy of the form http://[username:password@]hostname[:port][?alpn=<alpn>]</alpn>

Since : 1.22

#### GstWebRTC.WebRTCICE.prototype.set_http_proxy

    function GstWebRTC.WebRTCICE.prototype.set_http_proxy(uri: String): {
        // javascript wrapper for 'gst_webrtc_ice_set_http_proxy'
    }

Set HTTP Proxy to be used when connecting to TURN server.

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`uri` (String) –

URI of the HTTP proxy of the form http://[username:password@]hostname[:port][?alpn=<alpn>]</alpn>

Since : 1.22

#### GstWebRTC.WebRTCICE.set_http_proxy

    def GstWebRTC.WebRTCICE.set_http_proxy (self, uri):
        #python wrapper for 'gst_webrtc_ice_set_http_proxy'

Set HTTP Proxy to be used when connecting to TURN server.

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`uri` (str) –

URI of the HTTP proxy of the form http://[username:password@]hostname[:port][?alpn=<alpn>]</alpn>

Since : 1.22

#### gst_webrtc_ice_set_is_controller

    gst_webrtc_ice_set_is_controller (GstWebRTCICE * ice,
                                      gboolean controller)

Parameters:

`ice` –

The GstWebRTCICE

`controller` –

TRUE to set as controller

Since : 1.22

#### GstWebRTC.WebRTCICE.prototype.set_is_controller

    function GstWebRTC.WebRTCICE.prototype.set_is_controller(controller: Number): {
        // javascript wrapper for 'gst_webrtc_ice_set_is_controller'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`controller` (Number) –

TRUE to set as controller

Since : 1.22

#### GstWebRTC.WebRTCICE.set_is_controller

    def GstWebRTC.WebRTCICE.set_is_controller (self, controller):
        #python wrapper for 'gst_webrtc_ice_set_is_controller'

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`controller` (bool) –

TRUE to set as controller

Since : 1.22

#### gst_webrtc_ice_set_local_credentials

    gboolean
    gst_webrtc_ice_set_local_credentials (GstWebRTCICE * ice,
                                          GstWebRTCICEStream * stream,
                                          const gchar* ufrag,
                                          const gchar* pwd)

Parameters:

`ice` –

The GstWebRTCICE

`stream` –

The GstWebRTCICEStream

`ufrag` –

ICE username

`pwd` –

ICE password

Returns –

FALSE on error, TRUE otherwise

Since : 1.22

#### GstWebRTC.WebRTCICE.prototype.set_local_credentials

    function GstWebRTC.WebRTCICE.prototype.set_local_credentials(stream: GstWebRTC.WebRTCICEStream, ufrag: String, pwd: String): {
        // javascript wrapper for 'gst_webrtc_ice_set_local_credentials'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`stream` (GstWebRTC.WebRTCICEStream) –

The GstWebRTC.WebRTCICEStream

`ufrag` (String) –

ICE username

`pwd` (String) –

ICE password

Returns (Number) –

FALSE on error, TRUE otherwise

Since : 1.22

#### GstWebRTC.WebRTCICE.set_local_credentials

    def GstWebRTC.WebRTCICE.set_local_credentials (self, stream, ufrag, pwd):
        #python wrapper for 'gst_webrtc_ice_set_local_credentials'

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`stream` (GstWebRTC.WebRTCICEStream) –

The GstWebRTC.WebRTCICEStream

`ufrag` (str) –

ICE username

`pwd` (str) –

ICE password

Returns (bool) –

FALSE on error, TRUE otherwise

Since : 1.22

#### gst_webrtc_ice_set_on_ice_candidate

    gst_webrtc_ice_set_on_ice_candidate (GstWebRTCICE * ice,
                                         GstWebRTCICEOnCandidateFunc func,
                                         gpointer user_data,
                                         GDestroyNotify notify)

Parameters:

`ice` –

The GstWebRTCICE

`func` –

The GstWebRTCICEOnCandidateFunc callback function

`user_data` –

User data passed to the callback function

`notify` –

a GDestroyNotify when the candidate is no longer needed

Since : 1.22

#### GstWebRTC.WebRTCICE.prototype.set_on_ice_candidate

    function GstWebRTC.WebRTCICE.prototype.set_on_ice_candidate(func: GstWebRTC.WebRTCICEOnCandidateFunc, user_data: Object): {
        // javascript wrapper for 'gst_webrtc_ice_set_on_ice_candidate'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`func` (GstWebRTC.WebRTCICEOnCandidateFunc) –

The GstWebRTC.WebRTCICEOnCandidateFunc callback function

`user_data` (Object) –

User data passed to the callback function

Since : 1.22

#### GstWebRTC.WebRTCICE.set_on_ice_candidate

    def GstWebRTC.WebRTCICE.set_on_ice_candidate (self, func, *user_data):
        #python wrapper for 'gst_webrtc_ice_set_on_ice_candidate'

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`func` (GstWebRTC.WebRTCICEOnCandidateFunc) –

The GstWebRTC.WebRTCICEOnCandidateFunc callback function

`user_data` (variadic) –

User data passed to the callback function

Since : 1.22

#### gst_webrtc_ice_set_remote_credentials

    gboolean
    gst_webrtc_ice_set_remote_credentials (GstWebRTCICE * ice,
                                           GstWebRTCICEStream * stream,
                                           const gchar* ufrag,
                                           const gchar* pwd)

Parameters:

`ice` –

The GstWebRTCICE

`stream` –

The GstWebRTCICEStream

`ufrag` –

ICE username

`pwd` –

ICE password

Returns –

FALSE on error, TRUE otherwise

Since : 1.22

#### GstWebRTC.WebRTCICE.prototype.set_remote_credentials

    function GstWebRTC.WebRTCICE.prototype.set_remote_credentials(stream: GstWebRTC.WebRTCICEStream, ufrag: String, pwd: String): {
        // javascript wrapper for 'gst_webrtc_ice_set_remote_credentials'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`stream` (GstWebRTC.WebRTCICEStream) –

The GstWebRTC.WebRTCICEStream

`ufrag` (String) –

ICE username

`pwd` (String) –

ICE password

Returns (Number) –

FALSE on error, TRUE otherwise

Since : 1.22

#### GstWebRTC.WebRTCICE.set_remote_credentials

    def GstWebRTC.WebRTCICE.set_remote_credentials (self, stream, ufrag, pwd):
        #python wrapper for 'gst_webrtc_ice_set_remote_credentials'

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`stream` (GstWebRTC.WebRTCICEStream) –

The GstWebRTC.WebRTCICEStream

`ufrag` (str) –

ICE username

`pwd` (str) –

ICE password

Returns (bool) –

FALSE on error, TRUE otherwise

Since : 1.22

#### gst_webrtc_ice_set_stun_server

    gst_webrtc_ice_set_stun_server (GstWebRTCICE * ice,
                                    const gchar* uri)

Parameters:

`ice` –

The GstWebRTCICE

`uri` ( [nullable]) –

URI of the STUN server

Since : 1.22

#### GstWebRTC.WebRTCICE.prototype.set_stun_server

    function GstWebRTC.WebRTCICE.prototype.set_stun_server(uri: String): {
        // javascript wrapper for 'gst_webrtc_ice_set_stun_server'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`uri` (String) –

URI of the STUN server

Since : 1.22

#### GstWebRTC.WebRTCICE.set_stun_server

    def GstWebRTC.WebRTCICE.set_stun_server (self, uri):
        #python wrapper for 'gst_webrtc_ice_set_stun_server'

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`uri` (str) –

URI of the STUN server

Since : 1.22

#### gst_webrtc_ice_set_tos

    gst_webrtc_ice_set_tos (GstWebRTCICE * ice,
                            GstWebRTCICEStream * stream,
                            guint tos)

Parameters:

`ice` –

The GstWebRTCICE

`stream` –

The GstWebRTCICEStream

`tos` –

ToS to be set

Since : 1.22

#### GstWebRTC.WebRTCICE.prototype.set_tos

    function GstWebRTC.WebRTCICE.prototype.set_tos(stream: GstWebRTC.WebRTCICEStream, tos: Number): {
        // javascript wrapper for 'gst_webrtc_ice_set_tos'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`stream` (GstWebRTC.WebRTCICEStream) –

The GstWebRTC.WebRTCICEStream

`tos` (Number) –

ToS to be set

Since : 1.22

#### GstWebRTC.WebRTCICE.set_tos

    def GstWebRTC.WebRTCICE.set_tos (self, stream, tos):
        #python wrapper for 'gst_webrtc_ice_set_tos'

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`stream` (GstWebRTC.WebRTCICEStream) –

The GstWebRTC.WebRTCICEStream

`tos` (int) –

ToS to be set

Since : 1.22

#### gst_webrtc_ice_set_turn_server

    gst_webrtc_ice_set_turn_server (GstWebRTCICE * ice,
                                    const gchar* uri)

Parameters:

`ice` –

The GstWebRTCICE

`uri` ( [nullable]) –

URI of the TURN sever

Since : 1.22

#### GstWebRTC.WebRTCICE.prototype.set_turn_server

    function GstWebRTC.WebRTCICE.prototype.set_turn_server(uri: String): {
        // javascript wrapper for 'gst_webrtc_ice_set_turn_server'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`uri` (String) –

URI of the TURN sever

Since : 1.22

#### GstWebRTC.WebRTCICE.set_turn_server

    def GstWebRTC.WebRTCICE.set_turn_server (self, uri):
        #python wrapper for 'gst_webrtc_ice_set_turn_server'

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`uri` (str) –

URI of the TURN sever

Since : 1.22

### Action Signals

#### add-local-ip-address

    g_signal_emit_by_name (self, "add-local-ip-address", address, user_data, &ret);

Add a local IP address to use for ICE candidate gathering. If none are supplied, they will be discovered automatically. Calling this signal stops automatic ICE gathering.

Parameters:

`self` (GstWebRTCICE *) –
No description available
`address` (gchar*) –

The local IP address

`user_data` (gpointer) –
No description available
Returns –

whether the address could be added.

Flags: Run Last / Action

#### add-local-ip-address

    let ret = self.emit ("add-local-ip-address", address, user_data);

Add a local IP address to use for ICE candidate gathering. If none are supplied, they will be discovered automatically. Calling this signal stops automatic ICE gathering.

Parameters:

`self` (GstWebRTC.WebRTCICE) –
No description available
`address` (String) –

The local IP address

`user_data` (Object) –
No description available
Returns (Number) –

whether the address could be added.

Flags: Run Last / Action

#### add-local-ip-address

    ret = self.emit ("add-local-ip-address", address, user_data)

Add a local IP address to use for ICE candidate gathering. If none are supplied, they will be discovered automatically. Calling this signal stops automatic ICE gathering.

Parameters:

`self` (GstWebRTC.WebRTCICE) –
No description available
`address` (str) –

The local IP address

`user_data` (variadic) –
No description available
Returns (bool) –

whether the address could be added.

Flags: Run Last / Action

### Properties

#### max-rtp-port

    “max-rtp-port” guint

Maximum port for local rtp port range. min-rtp-port must be <= max-rtp-port

Flags : Read / Write / Construct

Since : 1.20

#### max-rtp-port

    “max-rtp-port” Number

Maximum port for local rtp port range. min-rtp-port must be <= max-rtp-port

Flags : Read / Write / Construct

Since : 1.20

#### max_rtp_port

    “self.props.max_rtp_port” int

Maximum port for local rtp port range. min-rtp-port must be <= max-rtp-port

Flags : Read / Write / Construct

Since : 1.20

#### min-rtp-port

    “min-rtp-port” guint

Minimum port for local rtp port range. min-rtp-port must be <= max-rtp-port

Flags : Read / Write / Construct

Since : 1.20

#### min-rtp-port

    “min-rtp-port” Number

Minimum port for local rtp port range. min-rtp-port must be <= max-rtp-port

Flags : Read / Write / Construct

Since : 1.20

#### min_rtp_port

    “self.props.min_rtp_port” int

Minimum port for local rtp port range. min-rtp-port must be <= max-rtp-port

Flags : Read / Write / Construct

Since : 1.20

### Virtual Methods

#### add_candidate

    add_candidate (GstWebRTCICE * ice,
                   GstWebRTCICEStream * stream,
                   const gchar* candidate,
                   GstPromise * promise)

Parameters:

`ice` –
No description available
`stream` –
No description available
`candidate` –
No description available
`promise` –
No description available

#### vfunc_add_candidate

    function vfunc_add_candidate(ice: GstWebRTC.WebRTCICE, stream: GstWebRTC.WebRTCICEStream, candidate: String, promise: Gst.Promise): {
        // javascript implementation of the 'add_candidate' virtual method
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`stream` (GstWebRTC.WebRTCICEStream) –
No description available
`candidate` (String) –
No description available
`promise` (Gst.Promise) –
No description available

#### do_add_candidate

    def do_add_candidate (ice, stream, candidate, promise):
        #python implementation of the 'add_candidate' virtual method

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`stream` (GstWebRTC.WebRTCICEStream) –
No description available
`candidate` (str) –
No description available
`promise` (Gst.Promise) –
No description available

#### add_stream

    GstWebRTCICEStream *
    add_stream (GstWebRTCICE * ice,
                guint session_id)

Parameters:

`ice` –
No description available
`session_id` –
No description available
Returns –
No description available

#### vfunc_add_stream

    function vfunc_add_stream(ice: GstWebRTC.WebRTCICE, session_id: Number): {
        // javascript implementation of the 'add_stream' virtual method
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`session_id` (Number) –
No description available
Returns (GstWebRTC.WebRTCICEStream) –
No description available

#### do_add_stream

    def do_add_stream (ice, session_id):
        #python implementation of the 'add_stream' virtual method

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`session_id` (int) –
No description available
Returns (GstWebRTC.WebRTCICEStream) –
No description available

#### add_turn_server

    gboolean
    add_turn_server (GstWebRTCICE * ice,
                     const gchar* uri)

Parameters:

`ice` –
No description available
`uri` –
No description available
Returns –
No description available

#### vfunc_add_turn_server

    function vfunc_add_turn_server(ice: GstWebRTC.WebRTCICE, uri: String): {
        // javascript implementation of the 'add_turn_server' virtual method
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`uri` (String) –
No description available
Returns (Number) –
No description available

#### do_add_turn_server

    def do_add_turn_server (ice, uri):
        #python implementation of the 'add_turn_server' virtual method

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`uri` (str) –
No description available
Returns (bool) –
No description available

#### find_transport

    GstWebRTCICETransport *
    find_transport (GstWebRTCICE * ice,
                    GstWebRTCICEStream * stream,
                    GstWebRTCICEComponent component)

Parameters:

`ice` –
No description available
`stream` –
No description available
`component` –
No description available
Returns –
No description available

#### vfunc_find_transport

    function vfunc_find_transport(ice: GstWebRTC.WebRTCICE, stream: GstWebRTC.WebRTCICEStream, component: GstWebRTC.WebRTCICEComponent): {
        // javascript implementation of the 'find_transport' virtual method
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`stream` (GstWebRTC.WebRTCICEStream) –
No description available
`component` (GstWebRTC.WebRTCICEComponent) –
No description available
Returns (GstWebRTC.WebRTCICETransport) –
No description available

#### do_find_transport

    def do_find_transport (ice, stream, component):
        #python implementation of the 'find_transport' virtual method

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`stream` (GstWebRTC.WebRTCICEStream) –
No description available
`component` (GstWebRTC.WebRTCICEComponent) –
No description available
Returns (GstWebRTC.WebRTCICETransport) –
No description available

#### gather_candidates

    gboolean
    gather_candidates (GstWebRTCICE * ice,
                       GstWebRTCICEStream * stream)

Parameters:

`ice` –
No description available
`stream` –
No description available
Returns –
No description available

#### vfunc_gather_candidates

    function vfunc_gather_candidates(ice: GstWebRTC.WebRTCICE, stream: GstWebRTC.WebRTCICEStream): {
        // javascript implementation of the 'gather_candidates' virtual method
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`stream` (GstWebRTC.WebRTCICEStream) –
No description available
Returns (Number) –
No description available

#### do_gather_candidates

    def do_gather_candidates (ice, stream):
        #python implementation of the 'gather_candidates' virtual method

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`stream` (GstWebRTC.WebRTCICEStream) –
No description available
Returns (bool) –
No description available

#### get_http_proxy

    gchar*
    get_http_proxy (GstWebRTCICE * ice)

Get HTTP Proxy to be used when connecting to TURN server.

Parameters:

`ice` –

a GstWebRTCICE

Returns ( [transfer: full]) –

URI of the HTTP proxy of the form http://[username:password@]hostname[:port]

Since : 1.22

#### vfunc_get_http_proxy

    function vfunc_get_http_proxy(ice: GstWebRTC.WebRTCICE): {
        // javascript implementation of the 'get_http_proxy' virtual method
    }

Get HTTP Proxy to be used when connecting to TURN server.

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

a GstWebRTC.WebRTCICE

Returns (String) –

URI of the HTTP proxy of the form http://[username:password@]hostname[:port]

Since : 1.22

#### do_get_http_proxy

    def do_get_http_proxy (ice):
        #python implementation of the 'get_http_proxy' virtual method

Get HTTP Proxy to be used when connecting to TURN server.

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

a GstWebRTC.WebRTCICE

Returns (str) –

URI of the HTTP proxy of the form http://[username:password@]hostname[:port]

Since : 1.22

#### get_is_controller

    gboolean
    get_is_controller (GstWebRTCICE * ice)

Parameters:

`ice` –
No description available
Returns –
No description available

#### vfunc_get_is_controller

    function vfunc_get_is_controller(ice: GstWebRTC.WebRTCICE): {
        // javascript implementation of the 'get_is_controller' virtual method
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
Returns (Number) –
No description available

#### do_get_is_controller

    def do_get_is_controller (ice):
        #python implementation of the 'get_is_controller' virtual method

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
Returns (bool) –
No description available

#### get_local_candidates

    GstWebRTCICECandidateStats **
    get_local_candidates (GstWebRTCICE * ice,
                          GstWebRTCICEStream * stream)

Parameters:

`ice` –
No description available
`stream` –
No description available
Returns –
No description available

#### vfunc_get_local_candidates

    function vfunc_get_local_candidates(ice: GstWebRTC.WebRTCICE, stream: GstWebRTC.WebRTCICEStream): {
        // javascript implementation of the 'get_local_candidates' virtual method
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`stream` (GstWebRTC.WebRTCICEStream) –
No description available
Returns (GstWebRTC.WebRTCICECandidateStats) –
No description available

#### do_get_local_candidates

    def do_get_local_candidates (ice, stream):
        #python implementation of the 'get_local_candidates' virtual method

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`stream` (GstWebRTC.WebRTCICEStream) –
No description available
Returns (GstWebRTC.WebRTCICECandidateStats) –
No description available

#### get_remote_candidates

    GstWebRTCICECandidateStats **
    get_remote_candidates (GstWebRTCICE * ice,
                           GstWebRTCICEStream * stream)

Parameters:

`ice` –
No description available
`stream` –
No description available
Returns –
No description available

#### vfunc_get_remote_candidates

    function vfunc_get_remote_candidates(ice: GstWebRTC.WebRTCICE, stream: GstWebRTC.WebRTCICEStream): {
        // javascript implementation of the 'get_remote_candidates' virtual method
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`stream` (GstWebRTC.WebRTCICEStream) –
No description available
Returns (GstWebRTC.WebRTCICECandidateStats) –
No description available

#### do_get_remote_candidates

    def do_get_remote_candidates (ice, stream):
        #python implementation of the 'get_remote_candidates' virtual method

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`stream` (GstWebRTC.WebRTCICEStream) –
No description available
Returns (GstWebRTC.WebRTCICECandidateStats) –
No description available

#### get_selected_pair

    gboolean
    get_selected_pair (GstWebRTCICE * ice,
                       GstWebRTCICEStream * stream,
                       GstWebRTCICECandidateStats ** local_stats,
                       GstWebRTCICECandidateStats ** remote_stats)

Parameters:

`ice` –
No description available
`stream` –
No description available
`local_stats` –
No description available
`remote_stats` –
No description available
Returns –
No description available

#### vfunc_get_selected_pair

    function vfunc_get_selected_pair(ice: GstWebRTC.WebRTCICE, stream: GstWebRTC.WebRTCICEStream): {
        // javascript implementation of the 'get_selected_pair' virtual method
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`stream` (GstWebRTC.WebRTCICEStream) –
No description available

Returns a tuple made of:

(Number ) –
No description available
`local_stats` (GstWebRTC.WebRTCICECandidateStats ) –
No description available
`remote_stats` (GstWebRTC.WebRTCICECandidateStats ) –
No description available

#### do_get_selected_pair

    def do_get_selected_pair (ice, stream):
        #python implementation of the 'get_selected_pair' virtual method

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`stream` (GstWebRTC.WebRTCICEStream) –
No description available

Returns a tuple made of:

(bool ) –
No description available
`local_stats` (GstWebRTC.WebRTCICECandidateStats ) –
No description available
`remote_stats` (GstWebRTC.WebRTCICECandidateStats ) –
No description available

#### get_stun_server

    gchar*
    get_stun_server (GstWebRTCICE * ice)

Parameters:

`ice` –
No description available
Returns –
No description available

#### vfunc_get_stun_server

    function vfunc_get_stun_server(ice: GstWebRTC.WebRTCICE): {
        // javascript implementation of the 'get_stun_server' virtual method
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
Returns (String) –
No description available

#### do_get_stun_server

    def do_get_stun_server (ice):
        #python implementation of the 'get_stun_server' virtual method

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
Returns (str) –
No description available

#### get_turn_server

    gchar*
    get_turn_server (GstWebRTCICE * ice)

Parameters:

`ice` –
No description available
Returns –
No description available

#### vfunc_get_turn_server

    function vfunc_get_turn_server(ice: GstWebRTC.WebRTCICE): {
        // javascript implementation of the 'get_turn_server' virtual method
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
Returns (String) –
No description available

#### do_get_turn_server

    def do_get_turn_server (ice):
        #python implementation of the 'get_turn_server' virtual method

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
Returns (str) –
No description available

#### set_force_relay

    set_force_relay (GstWebRTCICE * ice,
                     gboolean force_relay)

Parameters:

`ice` –
No description available
`force_relay` –
No description available

#### vfunc_set_force_relay

    function vfunc_set_force_relay(ice: GstWebRTC.WebRTCICE, force_relay: Number): {
        // javascript implementation of the 'set_force_relay' virtual method
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`force_relay` (Number) –
No description available

#### do_set_force_relay

    def do_set_force_relay (ice, force_relay):
        #python implementation of the 'set_force_relay' virtual method

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`force_relay` (bool) –
No description available

#### set_http_proxy

    set_http_proxy (GstWebRTCICE * ice,
                    const gchar* uri)

Set HTTP Proxy to be used when connecting to TURN server.

Parameters:

`ice` –

a GstWebRTCICE

`uri` ( [transfer: none]) –

URI of the HTTP proxy of the form http://[username:password@]hostname[:port]

Since : 1.22

#### vfunc_set_http_proxy

    function vfunc_set_http_proxy(ice: GstWebRTC.WebRTCICE, uri: String): {
        // javascript implementation of the 'set_http_proxy' virtual method
    }

Set HTTP Proxy to be used when connecting to TURN server.

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

a GstWebRTC.WebRTCICE

`uri` (String) –

URI of the HTTP proxy of the form http://[username:password@]hostname[:port]

Since : 1.22

#### do_set_http_proxy

    def do_set_http_proxy (ice, uri):
        #python implementation of the 'set_http_proxy' virtual method

Set HTTP Proxy to be used when connecting to TURN server.

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

a GstWebRTC.WebRTCICE

`uri` (str) –

URI of the HTTP proxy of the form http://[username:password@]hostname[:port]

Since : 1.22

#### set_is_controller

    set_is_controller (GstWebRTCICE * ice,
                       gboolean controller)

Parameters:

`ice` –
No description available
`controller` –
No description available

#### vfunc_set_is_controller

    function vfunc_set_is_controller(ice: GstWebRTC.WebRTCICE, controller: Number): {
        // javascript implementation of the 'set_is_controller' virtual method
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`controller` (Number) –
No description available

#### do_set_is_controller

    def do_set_is_controller (ice, controller):
        #python implementation of the 'set_is_controller' virtual method

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`controller` (bool) –
No description available

#### set_local_credentials

    gboolean
    set_local_credentials (GstWebRTCICE * ice,
                           GstWebRTCICEStream * stream,
                           const gchar* ufrag,
                           const gchar* pwd)

Parameters:

`ice` –
No description available
`stream` –
No description available
`ufrag` –
No description available
`pwd` –
No description available
Returns –
No description available

#### vfunc_set_local_credentials

    function vfunc_set_local_credentials(ice: GstWebRTC.WebRTCICE, stream: GstWebRTC.WebRTCICEStream, ufrag: String, pwd: String): {
        // javascript implementation of the 'set_local_credentials' virtual method
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`stream` (GstWebRTC.WebRTCICEStream) –
No description available
`ufrag` (String) –
No description available
`pwd` (String) –
No description available
Returns (Number) –
No description available

#### do_set_local_credentials

    def do_set_local_credentials (ice, stream, ufrag, pwd):
        #python implementation of the 'set_local_credentials' virtual method

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`stream` (GstWebRTC.WebRTCICEStream) –
No description available
`ufrag` (str) –
No description available
`pwd` (str) –
No description available
Returns (bool) –
No description available

#### set_on_ice_candidate

    set_on_ice_candidate (GstWebRTCICE * ice,
                          GstWebRTCICEOnCandidateFunc func,
                          gpointer user_data,
                          GDestroyNotify notify)

Parameters:

`ice` –
No description available
`func` –
No description available
`user_data` –
No description available
`notify` –
No description available

#### vfunc_set_on_ice_candidate

    function vfunc_set_on_ice_candidate(ice: GstWebRTC.WebRTCICE, func: GstWebRTC.WebRTCICEOnCandidateFunc, user_data: Object): {
        // javascript implementation of the 'set_on_ice_candidate' virtual method
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`func` (GstWebRTC.WebRTCICEOnCandidateFunc) –
No description available
`user_data` (Object) –
No description available

#### do_set_on_ice_candidate

    def do_set_on_ice_candidate (ice, func, *user_data):
        #python implementation of the 'set_on_ice_candidate' virtual method

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`func` (GstWebRTC.WebRTCICEOnCandidateFunc) –
No description available
`user_data` (variadic) –
No description available

#### set_remote_credentials

    gboolean
    set_remote_credentials (GstWebRTCICE * ice,
                            GstWebRTCICEStream * stream,
                            const gchar* ufrag,
                            const gchar* pwd)

Parameters:

`ice` –
No description available
`stream` –
No description available
`ufrag` –
No description available
`pwd` –
No description available
Returns –
No description available

#### vfunc_set_remote_credentials

    function vfunc_set_remote_credentials(ice: GstWebRTC.WebRTCICE, stream: GstWebRTC.WebRTCICEStream, ufrag: String, pwd: String): {
        // javascript implementation of the 'set_remote_credentials' virtual method
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`stream` (GstWebRTC.WebRTCICEStream) –
No description available
`ufrag` (String) –
No description available
`pwd` (String) –
No description available
Returns (Number) –
No description available

#### do_set_remote_credentials

    def do_set_remote_credentials (ice, stream, ufrag, pwd):
        #python implementation of the 'set_remote_credentials' virtual method

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`stream` (GstWebRTC.WebRTCICEStream) –
No description available
`ufrag` (str) –
No description available
`pwd` (str) –
No description available
Returns (bool) –
No description available

#### set_stun_server

    set_stun_server (GstWebRTCICE * ice,
                     const gchar* uri)

Parameters:

`ice` –
No description available
`uri` –
No description available

#### vfunc_set_stun_server

    function vfunc_set_stun_server(ice: GstWebRTC.WebRTCICE, uri: String): {
        // javascript implementation of the 'set_stun_server' virtual method
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`uri` (String) –
No description available

#### do_set_stun_server

    def do_set_stun_server (ice, uri):
        #python implementation of the 'set_stun_server' virtual method

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`uri` (str) –
No description available

#### set_tos

    set_tos (GstWebRTCICE * ice,
             GstWebRTCICEStream * stream,
             guint tos)

Parameters:

`ice` –
No description available
`stream` –
No description available
`tos` –
No description available

#### vfunc_set_tos

    function vfunc_set_tos(ice: GstWebRTC.WebRTCICE, stream: GstWebRTC.WebRTCICEStream, tos: Number): {
        // javascript implementation of the 'set_tos' virtual method
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`stream` (GstWebRTC.WebRTCICEStream) –
No description available
`tos` (Number) –
No description available

#### do_set_tos

    def do_set_tos (ice, stream, tos):
        #python implementation of the 'set_tos' virtual method

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`stream` (GstWebRTC.WebRTCICEStream) –
No description available
`tos` (int) –
No description available

#### set_turn_server

    set_turn_server (GstWebRTCICE * ice,
                     const gchar* uri)

Parameters:

`ice` –
No description available
`uri` –
No description available

#### vfunc_set_turn_server

    function vfunc_set_turn_server(ice: GstWebRTC.WebRTCICE, uri: String): {
        // javascript implementation of the 'set_turn_server' virtual method
    }

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`uri` (String) –
No description available

#### do_set_turn_server

    def do_set_turn_server (ice, uri):
        #python implementation of the 'set_turn_server' virtual method

Parameters:

`ice` (GstWebRTC.WebRTCICE) –
No description available
`uri` (str) –
No description available

## Callbacks

### GstWebRTCICEOnCandidateFunc

    (*GstWebRTCICEOnCandidateFunc) (GstWebRTCICE * ice,
                                    guint stream_id,
                                    const gchar* candidate,
                                    gpointer user_data)

Callback function to be triggered on discovery of a new candidate

Parameters:

`ice` –

The GstWebRTCICE

`stream_id` –

The stream id

`candidate` –

The discovered candidate

`user_data` –

User data that was set by gst_webrtc_ice_set_on_ice_candidate

Since : 1.22

### GstWebRTC.WebRTCICEOnCandidateFunc

    function GstWebRTC.WebRTCICEOnCandidateFunc(ice: GstWebRTC.WebRTCICE, stream_id: Number, candidate: String, user_data: Object): {
        // javascript wrapper for 'GstWebRTCICEOnCandidateFunc'
    }

Callback function to be triggered on discovery of a new candidate

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`stream_id` (Number) –

The stream id

`candidate` (String) –

The discovered candidate

`user_data` (Object) –

User data that was set by GstWebRTC.WebRTCICE.prototype.set_on_ice_candidate

Since : 1.22

### GstWebRTC.WebRTCICEOnCandidateFunc

    def GstWebRTC.WebRTCICEOnCandidateFunc (ice, stream_id, candidate, *user_data):
        #python wrapper for 'GstWebRTCICEOnCandidateFunc'

Callback function to be triggered on discovery of a new candidate

Parameters:

`ice` (GstWebRTC.WebRTCICE) –

The GstWebRTC.WebRTCICE

`stream_id` (int) –

The stream id

`candidate` (str) –

The discovered candidate

`user_data` (variadic) –

User data that was set by GstWebRTC.WebRTCICE.set_on_ice_candidate

Since : 1.22

The results of the search are